Retrieves observation types, with optional filtering by noun class code and/or noun code
Use this endpoint to get available observation types for meter channel configuration or bill bodyline assignment.
Filter by noun class (e.g., “Electric”, “Gas”) or specific noun (e.g., “Use”, “Demand”, “Cost”).
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| filter | Optional filter supporting equality operators on nounClassCode and nounCode fields | string (string) | Optional |
Filters
| Filter | Description | Type | Operators |
|---|---|---|---|
| commodityCode | Commodity Code | String | equals not equals one of like not like not one of |
| commodityId | Integer | equals not equals less than between one of greater than less than equal greater than equal not one of | |
| commodityInfo | Commodity Name | String | equals not equals one of like not like not one of |
| nounCode | Noun Code | String | equals not equals one of like not like not one of |
| nounId | Integer | equals not equals less than between one of greater than less than equal greater than equal not one of |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
ObservationTypeChild
| Property | Description | Type |
|---|---|---|
| credit | Indicates the type of credit for the observation type. Possible values include: 1 (Credit), 2 (Debit), 3 (Ignore) | integer (int32) |
| nounCode | The observation type’s noun code | string |
| nounId | The identifier for the observation type’s noun | integer (int32) |
| observationTypeCode | The observation type code | string |
| observationTypeId | The observation type identifier | integer (int32) |
| observationTypeInfo | The observation type info | string |
Example Response
[
{ "credit": 1, "nounCode": "string", "nounId": 1, "observationTypeCode": "string", "observationTypeId": 1, "observationTypeInfo": "string"
}
]